<app-header [titre]="'CONNEXION'"></app-header>

<form class="bloc1" [formGroup]="signinForm" (ngSubmit)="onSubmit()">
  <div class="form-group">
    <div class="example-container mb-5">
      <div class="bloc2">
        <label for="email">Adresse Mail</label>
        <mat-form-field>
          <input matInput type="text" id="email" class="form-control" formControlName="email">
        </mat-form-field>
      </div>
    </div>
    <div class="example-container">
      <div class="bloc3">
        <label for="password">Mot de Passe</label>
        <mat-form-field>
          <input matInput type="password" id="password" class="form-control" formControlName="password">
        </mat-form-field>
        <p class="text-danger">{{ errorMessage }}</p>
      </div>
    </div>
  </div>

    <button class="btn btn-primary pt-2" type="submit" [disabled]="signinForm.invalid">
      <div class="text text-center"><i class="fas fa-check-circle"></i>&nbsp; VALIDATION</div>
    </button>
    <button class="btn btn-primary pt-2 mt-3" [routerLink]="['/accueil']">
      <div class="text text-center"><i class="fas fa-arrow-left"></i>&nbsp; &nbsp;RETOUR</div>
    </button>
</form>